---
title: "Switching to GNU/Linux: Mentally"
description: The mindset shift that produces happy users of GNU/Linux and other Free/Libre and Open Source Software.
date: 2024-06-11
tags:
  - GNU/Linux
  - FOSS/FLOSS
  - KDE
synopsis: The mindset shift that produces happy users of GNU/Linux and other Free/Libre and Open Source Software.
imageURL: /img/pexels-ds-stories-9228363_copy.webp
imageAlt: A very cute photo by DS stories on pexels.com of a little pink brain-shaped candle on a light blue background.
mastodon_id: "112615355114722806"
---
[Stallman was right;](https://www.benzinga.com/news/24/06/39219971/edward-snowden-echoes-richard-stallmans-warnings-on-proprietary-software-after-user-says-adode-can-n) in the wake of Microsoft's announcement of its [much-maligned](https://www.wired.com/story/microsoft-recall-off-default-security-concerns/) Recall feature and widespread public backlash to the [terms and conditions](https://www.benzinga.com/top-stories/24/06/39209804/it-is-time-to-cancel-adobe-new-photoshop-terms-conditions-spark-outrage-among-professionals) for Adobe Creative Cloud products, it's clear that trust in big tech and the software it produces is rapidly eroding. Under the circumstances, it's no surprise that Free/Libre and Open Source Software (FLOSS) is seeing an uptick in interest from the public at large. So as ever more average users consider "switching to Linux," it strikes me that while there exist tomes on the technical aspects, there seems to be much less written on the shift in thinking that is part and parcel of every experienced and well-adjusted FLOSS user. So if you're making the switch or know someone who is, here's some advice to make the most of the transition.

[![A rather beautiful picture of a young Richard Stallman playing the recorder to a large pink butterfly perched on some beige computer equipment.](/img/rms.jpg "He was right. [CC BY-NC-ND 3.0](https://creativecommons.org/licenses/by-nc-nd/3.0/)")](/img/rms.jpg)

## Welcome

First of all: welcome to GNU/Linux! You've chosen the operating system [that powers](https://www.vrogue.co/post/linux-is-everywhere-infographic) bullet trains, the world's fastest supercomputers, U.S.A. air traffic control, CERN's Large Hadron Collider, and Google, Amazon, and Microsoft's cloud services, [used by](https://en.wikipedia.org/wiki/List_of_Linux_adopters) NASA, the People's Liberation Army, the Turkish government, whitehouse.gov, the U.S.A. Department of Defense, France's national police force, ministry of agriculture, and parliament, Iceland's public schools, the Dutch Police Internet Research and Investigation Network, Burlington Coat Factory, Peugeot, DreamWorks Animation, the Chicago Mercantile Exchange, the London Stock Exchange, the New York Stock Exchange, and [Stephen Fry.](https://en.wikipedia.org/wiki/List_of_Linux_adopters#Celebrities)

As you've no doubt inferred by now, GNU/Linux users span from your everyday cat-video viewer to large institutions and organizations where operating system reliability and performance mean the difference between life and death. No matter where you are on this spectrum, with a little humility, open-mindedness, and perseverance, I promise that you can find your self every bit as happily at-home with GNU/Linux as you were with whatever OS you've been using up to this point. This may mean giving up a long-trusted piece of software for something new and different, but for many new users the most hard-won battle is a change in mentality.

## You're not a power-user anymore

I've heard it said that the most "computer literate" people often find it especially arduous to adjust to GNU/Linux. I've been there; it's a frightening thing to go from the person family, friends, and neighbors call to help with problems with any device that has so much as an LED on it to feeling like that clueless relative with a dozen toolbars installed on their outdated version of Internet Explorer. The reality is that while you've gotten very good at navigating the operating system that you've been using for the past twenty years, very little of that knowledge is useful in GNU/Linux. This is something you're going to have to accept early on: no matter what distro you choose, it's going to be different to Windows or MacOS in very fundamental ways.

This means that, no matter your mastery of Windows keyboard shortcuts, or how convoluted your [AutoHotkey](https://www.autohotkey.com/) config may be, it's going to take you some time to grasp the basics. Beyond that, the bar to become a GNU/Linux power-user is much, much higher than it is on proprietary operating systems. In case you're feeling intimidated, know that this comes with some serious advantages. GNU/Linux systems come with a practically limitless potential for mastery, efficiency, and customization. In time, you'll be able to customize your GUI to your exact specifications, automate system maintenance, and knock out common tasks with a speed you wouldn't have thought possible on your old OS.

## Embrace the new

Switching to GNU/Linux is, in some ways, much more convenient than switching from, say, MacOS to Windows. Chiefly, most distros can be configured to run a wide range of software built for MacOS, Windows, or Android with minimal fuss. That said, I strongly encourage new users to explore FLOSS alternatives built on and for GNU/Linux. FLOSS projects often get a bad rap among users of proprietary operating systems because while a piece of software may run on these systems, the experience is rarely as good as it is on the system is was designed for: usually, GNU/Linux. FLOSS mainstays such as [LibreOffice,](https://www.libreoffice.org/) [Krita,](https://krita.org/en/) [Inkscape,](https://inkscape.org/) [Scribus,](https://www.scribus.net/) [Kdenlive,](https://kdenlive.org/en/) and [Ardour](https://ardour.org/) are at their best on GNU/Linux in terms of appearance, performance, and features. There are professionals of every stripe who do their work with an exclusively FLOSS toolset, from graphic design to video editing, audio production, data analytics, and more. If they can do it, so can you! Don't let the one piece of proprietary software that just won't work put you off of your new operating system when there's a whole new ecosystem of incredible software to explore.

[![A screenshot of Scribus.](/img/scribus_copy.webp "The latest development version of Scribus running on EndeavourOS. I guarantee you it doesn't look this good on Windows.")](/img/scribus_copy.webp)

New users of FLOSS projects often complain that the user interface or workflow of the tool they're trying is "unintuitive." Occasionally, these complaints hit on an area that genuinely could use some improvement, but more often, new users are simply expressing frustration that the workflow of a FLOSS project is different from what they are used to. These applications are not mere clones of their proprietary counterparts; they are projects in their own right, with unique goals, ideals, features, and workflows. Getting through a work project a little more slowly at first is not necessarily a flaw in the tool, it likely just means that you need a bit more practice. In time, you'll come to learn and appreciate killer features that go above and beyond the capabilities of software produced by even the largest tech companies.

## As a GNU/Linux user, you're part of a community

When you switch to GNU/Linux, you're not a customer any more. FLOSS projects are largely build by communities of volunteers who work on what they find interesting or important for their own reasons. There's no support line to call, no one to complain to if something breaks, and no one is losing anything by you choosing not to use their software. If you need help, or if you want to help make a FLOSS project better, you're going to have to engage with the wider community. Every project has a forum, a Matrix or IRC channel, or some other means of connecting users and developers. If you have a problem you can't solve on your own, these are the places to go to get help. Sign up and make a good faith effort to learn the rules and etiquette of the community, and chances are someone will be more than willing to help you find a solution out of sheer civic-mindedness.

There is likewise a great deal of pleasure and satisfaction to be gained by returning that kindness: by being an active participator in the communities you join, you'll help others overcome the stumbling blocks you once faced and foster connections with others who share your interests. Beyond the community alone, there is something wonderful about using software that you've helped shape; contributing well written bug reports, monetary donations, writing documentation, or testing new releases makes a direct positive impact on the tools you rely on each day. It's one thing to use FLOSS projects for reasons of ethics, privacy, or mere utility, but seeing a page of documentation you've written go live for anyone in the world to learn from, seeing a bug you reported vanish after an update, [a theme you created get added to a game,](https://nathanupchurch.com/blog/new-kmines-themes/) or experiencing your feature request given form in a release *really* draws you in. You're no longer at the mercy of some large tech company who only cares about profit; you're part of a community that cares about people, ideas, and making its software better, more efficient, more usable, and more useful for everyone.

## The FLOSS mindset

To distill what I've said above: Things are going to be different, and you may feel disempowered and frustrated for a while until you catch up again. The solution to this, beyond simple patience, is to embrace the fact that by using FLOSS projects, you become a part of the process of making them. Join the community with respect and humility, allow yourself to receive help and kindness from others, and you'll begin to once again remember how it feels to earn your skills. In time, you'll be the one offering help, you'll dance circles around any Windows power-user, and you'll be using tools that you've helped make better. Again I say: welcome. With these small shifts in your thinking, you're going to be in for a good time.
